#ifndef __EECFG_H__
#define __EECFG_H__


//////////////////////////////////////////////////////////////////////////////
//
//   Common defines ( CPU 0 )
//
/////////////////////////////////////////////////////////////////////////////

// TASK definition
#define EE_MAX_TASK 11
#define SignalGatherFinishedTask 0
#define SignalProcessingActuateTask 1
#define SignalProcessingAttitudeTask 2
#define SignalGatherInitiateTask 3
#define SignalGatherTimeoutTask 4
#define MavlinkSendTask 5
#define FlightControlTask 6
#define FlightControlActuateTask 7
#define FlightControlAttitudeTask 8
#define CopterControlTask 9
#define CopterControlWatchdogTask 10

// MUTEX definition
#define EE_MAX_RESOURCE 1U
#define SPIBus 0U

// ALARM definition
#define EE_MAX_ALARM 3
#define SignalGatherAlarm 0
#define FlightControlAlarm 1
#define CopterControlWatchdogAlarm 2

// COUNTER definition
#define EE_MAX_COUNTER 1
#define C1 0

// APPMODE definition
#define EE_MAX_APPMODE 1U

// CPUs
#define EE_MAX_CPU 1
#define EE_CURRENTCPU 0

#ifndef __DISABLE_EEOPT_DEFINES__


//////////////////////////////////////////////////////////////////////////////
//
//   User options
//
/////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////
//   Automatic options
/////////////////////////////////////////////////////////////////////////////
// #define __FP_NO_RESOURCES__
#define __IRQ_STACK_NEEDED__

#endif

#endif

